DECLARE SUB SCOEF (Z1!, MM1!, M1!, M2!, RHO!, ATRHO!, VFERMI!, LFCTR!, PCOEF!())
DIM P(20), Alf(10)
'Conversion derived from FUKUCON.BAS
'Program requires RSTOP.BAS and SCOEF.88!
PRINT "Calculates Konac Stopping Power in C or Si Targets including"
PRINT "conversion of eV/10^15 atoms/cm2 to MeVcm2/mg. LOW ENERGY LIMIT!"
INPUT "Enter Name of Output File:", outfile$
OPEN outfile$ FOR OUTPUT AS #2
INPUT "Enter Z1, enter Z2 (6 or 14):"; Z1, Z2

CALL SCOEF(Z2, d1, d2, A2, d4, d5, d6, d7, P())
convfact = A2 / .6022              '.6022 = Loschmidt*1E-9*1E-15
            'convfact converts from MeV/(mg/cm2) to eV/(1E15 atoms/cm2)
PRINT "Conversion Factor = "; convfact
SLEEP 1

FOR i = 0 TO 3                                      'for C Target
        READ a, b
        Alf(i) = a * Z1 ^ (-b)                      'Coefficients alpha
NEXT
READ a, b
s = a / Z1 + b                                      'Coefficient s
beta = 36.5
IF Z2 = 6 THEN GOTO there:

FOR i = 0 TO 3                                      'for Si Target
        READ a, b
        Alf(i) = a * Z1 ^ (-b)                      'Coefficients alpha
NEXT
READ a, b
s = a / Z1 + b                                      'Coefficient s
beta = 15.7
there:

'Data from Table 3:
DATA 1.31E-2,.52,-1.87E-2,1.03,8.88E-2,1.21,7.45E-1,2.18,.15,.4
DATA 3.5E-3,.47,-1.22E-2,1.63,5.74E-2,1.24,3.33E-1,2.18,.18,.51

E = .001
DO
        IF E > 1 THEN EXIT DO
        P = Alf(0)
        St = E ^ s * LOG(2.71828) / P
        PRINT E, St / convfact
        PRINT #2, E, St / convfact
        E = E * 1.2
LOOP
END


